Subject: RE: L2VPN Minutes - IETF81 (Giles Heron)

From: Jiangyuanlong <[email-masked]>
Date: Mon, 15 Aug 2011 02:26:04 +0000

Hi Giles and all,

Sorry for this late comment, I had a holiday last week and had no access to the Internet.
Though impossible to change the minutes, I think it needs to be re-clarified that S-VLAN encapsulation as UNI is not a requirement in MEF.

[Yuanlong] I think the 3 VLAN tags is out of scope of MEF itself.
MEF defines C-VLAN and untagged access.  It's not a requirement of
the MEF itself.

Correction:
[Yuanlong] I think the S-VLAN tags is out of scope of MEF itself.
MEF defines C-VLAN and untagged access.  It's not a requirement of
the MEF itself.

Thanks
Yuanlong

--------------------------------------------------------------------------
From: Giles Heron <[email-masked]>
To: <[email-masked]>
Subject: L2VPN Minutes - IETF81
Message-ID: <[email-masked]>
Content-Type: text/plain;	charset="US-ASCII"

All,

The draft minutes from Quebec are available at:
    http://www.ietf.org/proceedings/81/minutes/l2vpn.txt

Please review and comment to the list (or to the chairs) as soon as
possible if you'd to see any corrections.  Changes can only be made
until Friday so please get any comments in as soon as possible.

Many thanks to our minute takers: Alia Atlas and John Scudder

Nabil & Giles

------------------------------

---

From: "Daniel Cohn" <[email-masked]>
Date: Tue, 16 Aug 2011 01:41:31 +0300

Hi Yuanlong and all,

S-VLAN preservation is specified by MEF-26 at E-NNI. Therefore if you
want to support E-NNI between networks containing root and leaf UNIs
(which again AFAIK is not part of MEF E-Tree requirements),
draft-jiang/l2vpn-vpls-pe-etree requires three VLAN tags in the E-NNI
(C-VLAN, S-VLAN and root/leaf VLAN). As we already discussed, there are
several problems with triple-tagged Ethernet frames.

Regards,

Daniel

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf
Of Jiangyuanlong
Sent: Monday, August 15, 2011 5:26 AM
To: Giles Heron
Cc: [email-masked]
Subject: RE: L2VPN Minutes - IETF81 (Giles Heron)

Hi Giles and all,

Sorry for this late comment, I had a holiday last week and had no access
to the Internet.
Though impossible to change the minutes, I think it needs to be
re-clarified that S-VLAN encapsulation as UNI is not a requirement in
MEF.

Correction:

Thanks
Yuanlong

------------------------------------------------------------------------
--

All,

Nabil & Giles

---

From: Jiangyuanlong <[email-masked]>
Date: Tue, 16 Aug 2011 01:58:34 +0000

Daniel,

MEF-26 does not include E-Tree E-NNI yet, maybe phase 2 will;)

In fact, we have multiple options to support E-Tree E-NNI if it is required:
1) Using two global S-VLANs for the E-Tree E-NNI and transparently connected them into the same VSI;
2) Using an extra E-Tree label (indicating root/leaf) under the PW label;
3) Using PBB encapsulation.
Thus we don't need three VLANs or two PWs to make it work.

Using two PWs between a pair of PEs, may introduce loops as commented by Florin. 
Further disadvantages of parallel PWs are also discussed in Sec. A.3 in draft-ietf-pwe3-packet-pw-01:
1) how to fate sharing of these PWs
2) how to provide OAM for these PWs
3) control plane and management plane complexity of multiple PWs working as a single PW.

Regards
Yuanlong

-----Original Message-----
From: Daniel Cohn [mailto:[email-masked]] 
Sent: Tuesday, August 16, 2011 6:42 AM
To: Jiangyuanlong; Giles Heron
Cc: [email-masked]
Subject: RE: L2VPN Minutes - IETF81 (Giles Heron)

Hi Yuanlong and all,

Regards,

Daniel

-----Original Message-----

Hi Giles and all,

Correction:

Thanks
Yuanlong

All,

Nabil & Giles

---

From: "Daniel Cohn" <[email-masked]>
Date: Tue, 16 Aug 2011 16:42:40 +0300

Hi,

That is precisely my point - there is no requirement to support E-Tree
E-NNI, therefore the claim that "E-Tree services may cross both Ethernet
and VPLS domains" is not supported by the requirements.

See inline with [DC] regarding your comments on PW pair solution.

Regards,

DC

-----Original Message-----
From: Jiangyuanlong [mailto:[email-masked]] 
Sent: Tuesday, August 16, 2011 4:59 AM
To: Daniel Cohn; Giles Heron
Cc: [email-masked]
Subject: RE: L2VPN Minutes - IETF81 (Giles Heron)

Daniel,

In fact, we have multiple options to support E-Tree E-NNI if it is
required:
1) Using two global S-VLANs for the E-Tree E-NNI and transparently
connected them into the same VSI;
2) Using an extra E-Tree label (indicating root/leaf) under the PW
label;
3) Using PBB encapsulation.
Thus we don't need three VLANs or two PWs to make it work.

Using two PWs between a pair of PEs, may introduce loops as commented by
Florin. 
Further disadvantages of parallel PWs are also discussed in Sec. A.3 in
draft-ietf-pwe3-packet-pw-01:
1) how to fate sharing of these PWs
[DC] Fate sharing between data and OAM, as required by RFC 5921, is
supported. I am not aware of a requirement for fate sharing across PWs.
2) how to provide OAM for these PWs
[DC] As for any other PW (see e.g. draft-ietf-mpls-tp-oam-framework) -
don't see the difference.
3) control plane and management plane complexity of multiple PWs working
as a single PW.
[DC] There's no requirement in the draft that the PWs should work as a
single PW. 

Regards
Yuanlong

-----Original Message-----
From: Daniel Cohn [mailto:[email-masked]] 
Sent: Tuesday, August 16, 2011 6:42 AM
To: Jiangyuanlong; Giles Heron
Cc: [email-masked]
Subject: RE: L2VPN Minutes - IETF81 (Giles Heron)

Hi Yuanlong and all,

Regards,

Daniel

-----Original Message-----

Hi Giles and all,

Correction:

Thanks
Yuanlong

All,

Nabil & Giles

---

From: "Balus, Florin Stelian (Florin)" <[email-masked]>
Date: Tue, 16 Aug 2011 12:37:45 -0500

Daniel,

There are lots of service providers using different technologies inside their network (QinQ, PBB and VPLS technologies). ENNI stands for External Network Network Interface not usually used between different technology domains. 

Also as I said in the IETF L2VPN session, one or two VLAN service tag(s) are usually mapped at the border between domains to PW service labels (for VPLS) or to ISIDs (for PBB) mainly because service providers want to keep VLAN assignment independent between different QinQ domains so that each can scale as close to 4K as possible.

This means that one or two tags are usually removed as you go in other domains. So adding another one for ETREE does not impact the number of VLANs being looked up in the PBB BEBs/VPLS PEs. 

Even if a transparent service does not touch the C/S VLANs in the packet (e.g. the port is used to map to VSI) only the PW label/ISID are used for VSI identification in VPLS PEs/PBB BEBs. There is no 3 VLAN look up required at any point in time.

Hence I think the procedure outlined below by Yuanlong will work across all these different domains (QinQ-VPLS-PBB) saving us some headaches of implementing and deploying two different procedures for the same service type. 

Florin

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Daniel Cohn
Sent: Tuesday, August 16, 2011 6:43 AM
To: Jiangyuanlong; Giles Heron
Cc: [email-masked]
Subject: RE: L2VPN Minutes - IETF81 (Giles Heron)

Hi,

Regards,

DC

-----Original Message-----
From: Jiangyuanlong [mailto:[email-masked]] 
Sent: Tuesday, August 16, 2011 4:59 AM
To: Daniel Cohn; Giles Heron
Cc: [email-masked]
Subject: RE: L2VPN Minutes - IETF81 (Giles Heron)

Daniel,

Regards
Yuanlong

-----Original Message-----
From: Daniel Cohn [mailto:[email-masked]] 
Sent: Tuesday, August 16, 2011 6:42 AM
To: Jiangyuanlong; Giles Heron
Cc: [email-masked]
Subject: RE: L2VPN Minutes - IETF81 (Giles Heron)

Hi Yuanlong and all,

Regards,

Daniel

-----Original Message-----

Hi Giles and all,

Correction:

Thanks
Yuanlong

All,

Nabil & Giles

---

From: Jiangyuanlong <[email-masked]>
Date: Wed, 17 Aug 2011 06:42:41 +0000

Daniel,

Please see my comments inline as noted with [JYL].

Regards
Yuanlong

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Daniel Cohn
Sent: Tuesday, August 16, 2011 6:43 AM
To: Jiangyuanlong; Giles Heron
Cc: [email-masked]
Subject: RE: L2VPN Minutes - IETF81 (Giles Heron)

Hi,

[JYL] The interface between different technologies is named I-NNI by some SDOs. Even H-VPLS as specified in RFC 4762 may have some Ethernet devices such as the MTU-s.
Furthermore, all PE models as specified in L2VPN WG (such as RFC 4664, RFC 6246, draft-ietf-l2vpn-pbb-vpls-pe-model-03) have a bridge module inside. What a limited scenario for us to target if we preclude all these VPLS use cases? 

Regards,

DC

-----Original Message-----
From: Jiangyuanlong [mailto:[email-masked]] 
Sent: Tuesday, August 16, 2011 4:59 AM
To: Daniel Cohn; Giles Heron
Cc: [email-masked]
Subject: RE: L2VPN Minutes - IETF81 (Giles Heron)

Daniel,

[JYL] If these PWs are not fate sharing, and if one PW is down, then some E-Tree traffic will pass and some will fail. This will bring difficulty to the fault diagnosis (proactive PW OAM is not usually deployed in VPLS network yet).  

2) how to provide OAM for these PWs
[DC] As for any other PW (see e.g. draft-ietf-mpls-tp-oam-framework) -
don't see the difference.
[JYL] So resources for OAM need to be doubled if we must provide OAM for each of them. BTW, PW protection work also become more complex.

3) control plane and management plane complexity of multiple PWs working
as a single PW.
[DC] There's no requirement in the draft that the PWs should work as a
single PW. 
[JYL] LDP VPLS and BGP VPLS signaling only support one PW currently, they need to be extended to support signaling of two PWs between the same pair of PEs. And the number of PWs to manage in VPLS also doubled.

Regards
Yuanlong

-----Original Message-----
From: Daniel Cohn [mailto:[email-masked]] 
Sent: Tuesday, August 16, 2011 6:42 AM
To: Jiangyuanlong; Giles Heron
Cc: [email-masked]
Subject: RE: L2VPN Minutes - IETF81 (Giles Heron)

Hi Yuanlong and all,

Regards,

Daniel

-----Original Message-----

Hi Giles and all,

Correction:

Thanks
Yuanlong

All,

Nabil & Giles

---

From: "Rafi Ram" <[email-masked]>
Date: Thu, 18 Aug 2011 13:34:15 +0300

Hi,

The proposal in draft-ram-l2vpn-ldp-vpls-etree-2pw-02 supports all Layer
2 service models describes in IETF and MEF.
This includes support for H-VPLS (root/leaf PWs between U-PE and N-PE).
There is no risk for layer 2 loops since both PWs map to the same VSI
interface.
The root/leaf PWs are agnostic to the number of stacked VLANs (if any).
Discussion on implementation complexity is very subjective, as it
involves specific hardware and software implementation.

Best regards,
Rafi

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf
Of Jiangyuanlong
Sent: Wednesday, August 17, 2011 9:43 AM
To: Daniel Cohn; Giles Heron; Balus, Florin Stelian (Florin)
Cc: [email-masked]
Subject: RE: L2VPN Minutes - IETF81 (Giles Heron)

Daniel,

Regards
Yuanlong

-----Original Message-----
Of Daniel Cohn

Hi,

[JYL] The interface between different technologies is named I-NNI by
some SDOs. Even H-VPLS as specified in RFC 4762 may have some Ethernet
devices such as the MTU-s.
Furthermore, all PE models as specified in L2VPN WG (such as RFC 4664,
RFC 6246, draft-ietf-l2vpn-pbb-vpls-pe-model-03) have a bridge module
inside. What a limited scenario for us to target if we preclude all
these VPLS use cases? 

Regards,

DC

-----Original Message-----
From: Jiangyuanlong [mailto:[email-masked]] 
Sent: Tuesday, August 16, 2011 4:59 AM
To: Daniel Cohn; Giles Heron
Cc: [email-masked]
Subject: RE: L2VPN Minutes - IETF81 (Giles Heron)

Daniel,

Using two PWs between a pair of PEs, may introduce loops as commented by
Florin. 
Further disadvantages of parallel PWs are also discussed in Sec. A.3 in
draft-ietf-pwe3-packet-pw-01:
1) how to fate sharing of these PWs
[DC] Fate sharing between data and OAM, as required by RFC 5921, is
supported. I am not aware of a requirement for fate sharing across PWs.
[JYL] If these PWs are not fate sharing, and if one PW is down, then
some E-Tree traffic will pass and some will fail. This will bring
difficulty to the fault diagnosis (proactive PW OAM is not usually
deployed in VPLS network yet).  

2) how to provide OAM for these PWs
[DC] As for any other PW (see e.g. draft-ietf-mpls-tp-oam-framework) -
don't see the difference.
[JYL] So resources for OAM need to be doubled if we must provide OAM for
each of them. BTW, PW protection work also become more complex.

3) control plane and management plane complexity of multiple PWs working
as a single PW.
[DC] There's no requirement in the draft that the PWs should work as a
single PW. 
[JYL] LDP VPLS and BGP VPLS signaling only support one PW currently,
they need to be extended to support signaling of two PWs between the
same pair of PEs. And the number of PWs to manage in VPLS also doubled.

Regards
Yuanlong

-----Original Message-----
From: Daniel Cohn [mailto:[email-masked]] 
Sent: Tuesday, August 16, 2011 6:42 AM
To: Jiangyuanlong; Giles Heron
Cc: [email-masked]
Subject: RE: L2VPN Minutes - IETF81 (Giles Heron)

Hi Yuanlong and all,

Regards,

Daniel

-----Original Message-----

Hi Giles and all,

Correction:

Thanks
Yuanlong

All,

Nabil & Giles

---

From: Jiangyuanlong <[email-masked]>
Date: Thu, 18 Aug 2011 11:17:13 +0000

Hi Rafi,

For H-VPLS, how can you support the spoke with Q-in-Q encapsulation using 2 PWs?

Regards
Yuanlong

-----Original Message-----
From: Rafi Ram [mailto:[email-masked]] 
Sent: Thursday, August 18, 2011 6:34 PM
To: Jiangyuanlong; Daniel Cohn; Giles Heron; Balus, Florin Stelian (Florin)
Cc: [email-masked]
Subject: RE: L2VPN Minutes - IETF81 (Giles Heron)

Hi,

Best regards,
Rafi

-----Original Message-----

Daniel,

Regards
Yuanlong

-----Original Message-----

Hi,

Regards,

DC

-----Original Message-----
From: Jiangyuanlong [mailto:[email-masked]] 
Sent: Tuesday, August 16, 2011 4:59 AM
To: Daniel Cohn; Giles Heron
Cc: [email-masked]
Subject: RE: L2VPN Minutes - IETF81 (Giles Heron)

Daniel,

Regards
Yuanlong

-----Original Message-----
From: Daniel Cohn [mailto:[email-masked]] 
Sent: Tuesday, August 16, 2011 6:42 AM
To: Jiangyuanlong; Giles Heron
Cc: [email-masked]
Subject: RE: L2VPN Minutes - IETF81 (Giles Heron)

Hi Yuanlong and all,

Regards,

Daniel

-----Original Message-----

Hi Giles and all,

Correction:

Thanks
Yuanlong

All,

Nabil & Giles

---

From: "Balus, Florin Stelian (Florin)" <[email-masked]>
Date: Thu, 18 Aug 2011 10:15:20 -0500

Hi Rafi,

Why bother to signal/establish/maintain 2 PWs when I can just use one per VSI pair (in the VLAN base case) - see Yuanlong draft? Also for a Service Provider that has both native Ethernet access and MPLS why should one have to worry about two mechanisms/addressing types: one for Ethernet and a different one for MPLS. It complicates unnecessarily the troubleshooting. And we did not discuss the BGP VPLS case where an additional full Label Block + VE ID must be assigned/signaled for every new PW. The other VLAN approach does not touch the existing PW signaling/VPLS Forwarder structure. 

Florin

-----Original Message-----
From: Rafi Ram [mailto:[email-masked]] 
Sent: Thursday, August 18, 2011 3:34 AM
To: Jiangyuanlong; Daniel Cohn; Giles Heron; Balus, Florin Stelian (Florin)
Cc: [email-masked]
Subject: RE: L2VPN Minutes - IETF81 (Giles Heron)

Hi,

Best regards,
Rafi

-----Original Message-----

Daniel,

Regards
Yuanlong

-----Original Message-----

Hi,

Regards,

DC

-----Original Message-----
From: Jiangyuanlong [mailto:[email-masked]] 
Sent: Tuesday, August 16, 2011 4:59 AM
To: Daniel Cohn; Giles Heron
Cc: [email-masked]
Subject: RE: L2VPN Minutes - IETF81 (Giles Heron)

Daniel,

Regards
Yuanlong

-----Original Message-----
From: Daniel Cohn [mailto:[email-masked]] 
Sent: Tuesday, August 16, 2011 6:42 AM
To: Jiangyuanlong; Giles Heron
Cc: [email-masked]
Subject: RE: L2VPN Minutes - IETF81 (Giles Heron)

Hi Yuanlong and all,

Regards,

Daniel

-----Original Message-----

Hi Giles and all,

Correction:

Thanks
Yuanlong

All,

Nabil & Giles

---

From: Lucy yong <[email-masked]>
Date: Thu, 18 Aug 2011 15:49:33 +0000

Daniel,

Sorry to chip in here.

FYI: MEF26.1 is working on E-Tree over ENNI now. The solution is to use two S-VLAN tag indicating the frame originated from root or leaf at ENNI. The frames over ENNI contain one S-VLAN and/or one C-VLAN, there is no three VLAN stacking issue.  

Yuanlong's proposal uses the model of RFC6246 which has already specified the process for ACs where the frames come with S-VLAN tag. Please read it. 

S-VLAN solution is more align with IEEE and MEF solutions, which makes interworking simpler and compatible with existing hardware.

BTW: The appendix A in Draft-ietf-pwe3-packet-pw-01 has comprehensive analysis in different encapsulation approaches. It explains why we do not want use of multiple PWs for the encapsulation of one service. Please read it too.  

Regards,
Lucy

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Daniel Cohn
Sent: Monday, August 15, 2011 5:42 PM
To: Jiangyuanlong; Giles Heron
Cc: [email-masked]
Subject: RE: L2VPN Minutes - IETF81 (Giles Heron)

Hi Yuanlong and all,

Regards,

Daniel

-----Original Message-----

Hi Giles and all,

Correction:

Thanks
Yuanlong

All,

Nabil & Giles

---

From: "Shahram Davari" <[email-masked]>
Date: Thu, 18 Aug 2011 10:40:24 -0700

Florin,

What do you mean the other VLAN approach? Could you please elaborate your proposal that doesn't need 2xPW?

Thx
Shahram

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Balus, Florin Stelian (Florin)
Sent: Thursday, August 18, 2011 8:15 AM
To: Rafi Ram; Jiangyuanlong; Daniel Cohn; Giles Heron
Cc: [email-masked]
Subject: RE: L2VPN Minutes - IETF81 (Giles Heron)

Hi Rafi,

Florin

-----Original Message-----
From: Rafi Ram [mailto:[email-masked]] 
Sent: Thursday, August 18, 2011 3:34 AM
To: Jiangyuanlong; Daniel Cohn; Giles Heron; Balus, Florin Stelian (Florin)
Cc: [email-masked]
Subject: RE: L2VPN Minutes - IETF81 (Giles Heron)

Hi,

Best regards,
Rafi

-----Original Message-----

Daniel,

Regards
Yuanlong

-----Original Message-----

Hi,

Regards,

DC

-----Original Message-----
From: Jiangyuanlong [mailto:[email-masked]] 
Sent: Tuesday, August 16, 2011 4:59 AM
To: Daniel Cohn; Giles Heron
Cc: [email-masked]
Subject: RE: L2VPN Minutes - IETF81 (Giles Heron)

Daniel,

Regards
Yuanlong

-----Original Message-----
From: Daniel Cohn [mailto:[email-masked]] 
Sent: Tuesday, August 16, 2011 6:42 AM
To: Jiangyuanlong; Giles Heron
Cc: [email-masked]
Subject: RE: L2VPN Minutes - IETF81 (Giles Heron)

Hi Yuanlong and all,

Regards,

Daniel

-----Original Message-----

Hi Giles and all,

Correction:

Thanks
Yuanlong

All,

Nabil & Giles

---

From: "Balus, Florin Stelian (Florin)" <[email-masked]>
Date: Thu, 18 Aug 2011 12:56:09 -0500

I was talking about the Yuanlong's draft - sorry I should have included the link http://tools.ietf.org/html/draft-jiang-l2vpn-vpls-pe-etree-04 ...

-----Original Message-----
From: Shahram Davari [mailto:[email-masked]] 
Sent: Thursday, August 18, 2011 10:40 AM
To: Balus, Florin Stelian (Florin); Rafi Ram; Jiangyuanlong; Daniel Cohn; Giles Heron
Cc: [email-masked]
Subject: RE: L2VPN Minutes - IETF81 (Giles Heron)

Florin,

Thx
Shahram

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Balus, Florin Stelian (Florin)
Sent: Thursday, August 18, 2011 8:15 AM
To: Rafi Ram; Jiangyuanlong; Daniel Cohn; Giles Heron
Cc: [email-masked]
Subject: RE: L2VPN Minutes - IETF81 (Giles Heron)

Hi Rafi,

Florin

-----Original Message-----
From: Rafi Ram [mailto:[email-masked]] 
Sent: Thursday, August 18, 2011 3:34 AM
To: Jiangyuanlong; Daniel Cohn; Giles Heron; Balus, Florin Stelian (Florin)
Cc: [email-masked]
Subject: RE: L2VPN Minutes - IETF81 (Giles Heron)

Hi,

Best regards,
Rafi

-----Original Message-----

Daniel,

Regards
Yuanlong

-----Original Message-----

Hi,

Regards,

DC

-----Original Message-----
From: Jiangyuanlong [mailto:[email-masked]] 
Sent: Tuesday, August 16, 2011 4:59 AM
To: Daniel Cohn; Giles Heron
Cc: [email-masked]
Subject: RE: L2VPN Minutes - IETF81 (Giles Heron)

Daniel,

Regards
Yuanlong

-----Original Message-----
From: Daniel Cohn [mailto:[email-masked]] 
Sent: Tuesday, August 16, 2011 6:42 AM
To: Jiangyuanlong; Giles Heron
Cc: [email-masked]
Subject: RE: L2VPN Minutes - IETF81 (Giles Heron)

Hi Yuanlong and all,

Regards,

Daniel

-----Original Message-----

Hi Giles and all,

Correction:

Thanks
Yuanlong

All,

Nabil & Giles

---

From: "Shahram Davari" <[email-masked]>
Date: Thu, 18 Aug 2011 12:50:38 -0700

Puneet,

What do you think? I like this S-VLAN solution (using an S-VLAN for root and another for Leaf) better than 2xPW. We can support this S-VLAN solution today.

Thx
SD

-----Original Message-----
From: Shahram Davari [mailto:[email-masked]] 
Sent: Thursday, August 18, 2011 10:40 AM
To: Balus, Florin Stelian (Florin); Rafi Ram; Jiangyuanlong; Daniel Cohn; Giles Heron
Cc: [email-masked]
Subject: RE: L2VPN Minutes - IETF81 (Giles Heron)

Florin,

Thx
Shahram

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Balus, Florin Stelian (Florin)
Sent: Thursday, August 18, 2011 8:15 AM
To: Rafi Ram; Jiangyuanlong; Daniel Cohn; Giles Heron
Cc: [email-masked]
Subject: RE: L2VPN Minutes - IETF81 (Giles Heron)

Hi Rafi,

Florin

-----Original Message-----
From: Rafi Ram [mailto:[email-masked]] 
Sent: Thursday, August 18, 2011 3:34 AM
To: Jiangyuanlong; Daniel Cohn; Giles Heron; Balus, Florin Stelian (Florin)
Cc: [email-masked]
Subject: RE: L2VPN Minutes - IETF81 (Giles Heron)

Hi,

Best regards,
Rafi

-----Original Message-----

Daniel,

Regards
Yuanlong

-----Original Message-----

Hi,

Regards,

DC

-----Original Message-----
From: Jiangyuanlong [mailto:[email-masked]] 
Sent: Tuesday, August 16, 2011 4:59 AM
To: Daniel Cohn; Giles Heron
Cc: [email-masked]
Subject: RE: L2VPN Minutes - IETF81 (Giles Heron)

Daniel,

Regards
Yuanlong

-----Original Message-----
From: Daniel Cohn [mailto:[email-masked]] 
Sent: Tuesday, August 16, 2011 6:42 AM
To: Jiangyuanlong; Giles Heron
Cc: [email-masked]
Subject: RE: L2VPN Minutes - IETF81 (Giles Heron)

Hi Yuanlong and all,

Regards,

Daniel

-----Original Message-----

Hi Giles and all,

Correction:

Thanks
Yuanlong

All,

Nabil & Giles